Package com.io7m.waxmill.machines

# Class WXMVirtualMachineSet.Builder

java.lang.Object
com.io7m.waxmill.machines.WXMVirtualMachineSet.Builder

Enclosing class:
  WXMVirtualMachineSet

    public static final class WXMVirtualMachineSet.Builder
    extends java.lang.Object

Builds instances of type `WXMVirtualMachineSet`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `WXMVirtualMachineSet` | `build()` | Builds a new `WXMVirtualMachineSet`.
  `WXMVirtualMachineSet.Builder` | `from​(WXMVirtualMachineSetType instance)` | Fill a builder with attribute values from the provided `WXMVirtualMachineSetType` instance.
  `WXMVirtualMachineSet.Builder` | `setMachines​(java.util.SortedMap<java.util.UUID,​WXMVirtualMachine> machines)` | Initializes the value for the `machines` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final WXMVirtualMachineSet.Builder from​(WXMVirtualMachineSetType instance)
    Fill a builder with attribute values from the provided `WXMVirtualMachineSetType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setMachines

    public final WXMVirtualMachineSet.Builder setMachines​(java.util.SortedMap<java.util.UUID,​WXMVirtualMachine> machines)
    Initializes the value for the `machines` attribute.
    Parameters:
      `machines` - The value for machines
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public WXMVirtualMachineSet build()
    Builds a new `WXMVirtualMachineSet`.
    Returns:
      An immutable instance of WXMVirtualMachineSet
    Throws:
      `java.lang.IllegalStateException` - if any required attributes are missing